Bug 851817 - [abrt] python-2.7.3-7.2.fc17: INT_cairo_save: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: INT_cairo_save: Process /usr/bin/python2.7 was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:9aa69558ce81e771dbd92594905...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 20:12 EDT by Roger Berg
Modified: 2013-07-31 15:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.46 KB, text/plain)
2012-08-25 20:12 EDT, Roger Berg
no flags Details
File: maps (56.46 KB, text/plain)
2012-08-25 20:12 EDT, Roger Berg
no flags Details
File: dso_list (11.92 KB, text/plain)
2012-08-25 20:12 EDT, Roger Berg
no flags Details
File: build_ids (4.44 KB, text/plain)
2012-08-25 20:12 EDT, Roger Berg
no flags Details
File: open_fds (5.31 KB, text/plain)
2012-08-25 20:12 EDT, Roger Berg
no flags Details

  None (edit)
Description Roger Berg 2012-08-25 20:12:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/pdfshuffler
crash_function: INT_cairo_save
executable:     /usr/bin/python2.7
kernel:         3.5.2-1.fc17.x86_64
pid:            4556
pwd:            /home/roger
remote_result:  NOTFOUND
time:           sön 26 aug 2012 01:55:34
uid:            1000
username:       roger
xsession_errors: 

backtrace:      Text file, 66012 bytes
build_ids:      Text file, 4551 bytes
dso_list:       Text file, 12209 bytes
maps:           Text file, 57810 bytes
open_fds:       Text file, 5435 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/roger/2

core_backtrace:
:508cf66f72e70054a41215f80ed2385c6bb80030 0x166c1 cairo_save libcairo.so.2 -
:38edf4fc362690a162fe96ed4866ed49fcf138c7 0x25585 CairoOutputDev::saveState(GfxState*) libpoppler-glib.so.8 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xd42b5 Gfx::saveState() libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xd51e7 Gfx::go(bool) libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xd564e Gfx::display(Object*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0x113657 Page::displaySlice(OutputDev*, libpoppler.so.19 -
:38edf4fc362690a162fe96ed4866ed49fcf138c7 0x1d05a - libpoppler-glib.so.8 -
:8eba3a34844dc2ce5d0e09ccf13b992f6dd6c3a4 0x998e - poppler.so -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdd0e1 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdcd51 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdcd51 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x6d796 - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x58070 - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xd71c7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x10b432 - libpython2.7.so.1.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xf167d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=linux.server
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99b7d8155ed9a463e28580980000000a-1345538755.680121-767633019
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/roger/keyring-uvFKg9
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=roger
:USERNAME=roger
:MAIL=/var/spool/mail/roger
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/roger/.local/bin:/home/roger/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/roger
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1159
:LANG=sv_SE.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/roger
:SHLVL=1
:LOGNAME=roger
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qzilVNIeHe,guid=c378d84811b8fa2e1eebe1970000002b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/roger
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-roger-qIOfV5/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1161,unix/unix:/tmp/.ICE-unix/1161
:GPG_AGENT_INFO=/run/user/roger/keyring-uvFKg9/gpg:0:1
:SSH_AUTH_SOCK=/run/user/roger/keyring-uvFKg9/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/pdfshuffler.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4556

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13833                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13833                13833                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:Allmänt
:=================================
:UUID: 4763ef5d-978a-4066-a80f-bd23b6fd49f9
:OS: Fedora release 17 (Beefy Miracle)
:Standardkörnivå: Unknown
:Språk: sv_SE.UTF-8
:Plattform: x86_64
:BogoMIPS: 6027.31
:CPU-leverantör: AuthenticAMD
:CPU-modell: AMD Athlon(tm) II X2 250 Processor
:CPU-stegning: 2
:CPU-familj: 16
:CPU-modellnummer: 6
:Antal CPU:er: 2
:CPU-hastighet: 3000
:Systemminne: 1750
:Systemväxlingsutrymme: 5567
:Leverantör: Gigabyte Technology Co., Ltd.
:System: GA-MA785GT-UD3H 
:Fomfaktor: Desktop
:Kärna: 3.5.2-1.fc17.x86_64
:SELinux aktiverat: 1
:SELinux-policy: targeted
:SELinux upprätthålls: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Enheter
:=================================
:(4098:17296:5208:45058) pci, ahci, STORAGE, GA-MA770-DS3rev2.0 Motherboard
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38672:5208:53248) pci, radeon, VIDEO, RS880 [Radeon HD 4200]
:(4098:38671:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filsystemsinformation
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 12901535 9105995 8450635 3276800 2908260 2908260
:/dev/sdb1 WITHHELD ext4 4096 4096 120179121 7759717 1654950 30531584 30469208 30469208
:/dev/sda1 /boot ext4 1024 1024 495844 397768 372168 128016 127664 127664
:/dev/sda5 /home ext4 4096 4096 106265692 5939337 541347 26992640 26908830 26908830
:/dev/sdc1 WITHHELD ext3 4096 4096 239603074 55051847 42880712 60858368 60638832 60638832
:/dev/sdb1 WITHHELD ext4 4096 4096 120179121 7759717 1654950 30531584 30469208 30469208
:

var_log_messages:
:Aug 23 20:05:21 linux setroubleshoot: SELinux is preventing /usr/bin/python2.7 from search access on the directory /root/.local. For complete SELinux messages. run sealert -l 8ba99b45-899f-42be-b068-68dd85432bf0
:Aug 26 01:31:56 linux abrt[4525]: Saved core dump of pid 4508 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-26-01:31:56-4508 (55013376 bytes)
:Aug 26 01:55:35 linux abrt[5037]: Saved core dump of pid 4556 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-26-01:55:34-4556 (119795712 bytes)
Comment 1 Roger Berg 2012-08-25 20:12:40 EDT
Created attachment 607019 [details]
File: backtrace
Comment 2 Roger Berg 2012-08-25 20:12:42 EDT
Created attachment 607020 [details]
File: maps
Comment 3 Roger Berg 2012-08-25 20:12:44 EDT
Created attachment 607021 [details]
File: dso_list
Comment 4 Roger Berg 2012-08-25 20:12:46 EDT
Created attachment 607022 [details]
File: build_ids
Comment 5 Roger Berg 2012-08-25 20:12:48 EDT
Created attachment 607023 [details]
File: open_fds
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:05:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:05:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:08:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:16:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:11:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:42:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.